Package kiyut.sketsa.options

## Class GeneralOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.GeneralOptions

- All Implemented Interfaces:
    `Options`

      public class GeneralOptions
      extends AbstractOptions

  Implementation of GeneralOptions
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_SVG_HEIGHT_PROPERTY` |
    `static String` | `DEFAULT_SVG_WIDTH_PROPERTY` |
    `static String` | `UNDO_LIMIT_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getDefaultSVGHeight()` |
    `float` | `getDefaultSVGWidth()` |
    `static GeneralOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `int` | `getUndoLimit()` |
    `void` | `setDefaultSVGHeight​(float height)` |
    `void` | `setDefaultSVGWidth​(float width)` |
    `void` | `setUndoLimit​(int limit)` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNDO_LIMIT_PROPERTY

          public static final String UNDO_LIMIT_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_SVG_WIDTH_PROPERTY

          public static final String DEFAULT_SVG_WIDTH_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_SVG_HEIGHT_PROPERTY

          public static final String DEFAULT_SVG_HEIGHT_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static GeneralOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        The single instance.

    - #### setDefaultSVGWidth

          public void setDefaultSVGWidth​(float width)

    - #### getDefaultSVGWidth

          public float getDefaultSVGWidth()

    - #### setDefaultSVGHeight

          public void setDefaultSVGHeight​(float height)

    - #### getDefaultSVGHeight

          public float getDefaultSVGHeight()

    - #### setUndoLimit

          public void setUndoLimit​(int limit)

    - #### getUndoLimit

          public int getUndoLimit()